/* ********************************************************************** */
/*                                                                        */
/*   FONT.C                                                               */
/*                                                                        */
/* ********************************************************************** */

/* -- HEADER FILES ------------------------------------------------------ */

#include "font.h"

/* -- PRIVATE DATA DEFINITIONS ------------------------------------------ */

static unsigned short VectorCharASCII0x00[] = {
	0x8008, 0xfdf8, 0x8300, 0x0000
};

static unsigned short VectorCharASCII0x01[] = {
	0x8008, 0xfd00, 0x83f8, 0x000
};

static unsigned short VectorCharASCII0x02[] = {
	0xfd08, 0xfdf8, 0x0300, 0x8008, 0x0000
};

static unsigned short VectorCharASCII0x03[] = {
	0x0008, 0xfdf8, 0xfd08, 0x0300, 0x80f8, 0x000
};

static unsigned short VectorCharASCII0x04[] = {
	0x0008, 0xfdf8, 0xfd08, 0x0002, 0x8308, 0x83f8, 0x7d08, 0x80ee,
	0x0000
};

static unsigned short VectorCharASCII0x05[] = {
	0xfd08, 0xfdf8, 0x0000
};

static unsigned short VectorCharASCII0x06[] = {
	0x0008, 0xfdf8, 0xfd08, 0x0000
};

static unsigned short VectorCharASCII0x07[] = {
	0xfa06, 0x00fa, 0x8606, 0x0000
};

static unsigned short VectorCharASCII0x08[] = {
	0xfb00, 0xff01, 0x8002, 0x8101, 0x8500, 0x0000
};

static unsigned short VectorCharASCII0x09[] = {
	0x7a00, 0x8006, 0x86fd, 0xfafd, 0x0000
};

static unsigned short VectorCharASCII0x0a[] = {
	0xfa00, 0x8306, 0x83fa, 0x0000
};

static unsigned short VectorCharASCII0x0b[] = {
	0x7d00, 0xfd06, 0x8600, 0xfdfa, 0x0000
};

static unsigned short VectorCharASCII0x0d[] = {
	0x7a00, 0x8006, 0x06fd, 0xfdfd, 0xfd03, 0x8303, 0x83fd, 0x7dfd,
	0x8006, 0x0000
};

static unsigned short VectorCharASCII0x0c[] = {
	0x8006, 0x00fd, 0xfdfd, 0xfd03, 0x8303, 0x83fd, 0x7dfd, 0x8006,
	0x0000
};

static unsigned short VectorCharASCII0x0e[] = {
	0x0003, 0xfdfd, 0xfd03, 0x8303, 0x83fd, 0x0000
};

static unsigned short VectorCharASCII0x0f[] = {
	0x7a00, 0x8006, 0x06fd, 0xfdfd, 0xfd03, 0x8303, 0x83fd, 0x0000
};

static unsigned short VectorCharASCII0x10[] = {
	0x8006, 0x00fd, 0xfdfd, 0xfd03, 0x8303, 0x83fd, 0x000
};

static unsigned short VectorCharASCII0x11[] = {
	0x7a00, 0x8006, 0x8600, 0x0000
};

static unsigned short VectorCharASCII0x12[] = {
	0x8008, 0xfa00, 0x06fa, 0xfa00, 0x8008, 0x0000
};

static unsigned short VectorCharASCII0x13[] = {
	0x8006, 0xfa00, 0x8006, 0x8600, 0x8006, 0x0000
};

static unsigned short VectorCharASCII0x14[] = {
	0x800a, 0xfefc, 0x8400, 0xfe04, 0x0000
};

static unsigned short VectorCharASCII0x15[] = {
	0x000a, 0x80f6, 0xfe04, 0x8400, 0xfefc, 0x0000
};

static unsigned short VectorCharASCII0x16[] = {
	0x0008, 0x0000
};

static unsigned short VectorCharASCII0x21[] = {
	0x0002, 0xff00, 0x7f00, 0xfb00, 0x0706, 0x0000
};

static unsigned short VectorCharASCII0x22[] = {
	0x7b01, 0xfe00, 0x0002, 0x8200, 0x0505, 0x0000
};

static unsigned short VectorCharASCII0x23[] = {
	0x7e00, 0x8004, 0x01ff, 0xfc00, 0x0101, 0x80fc, 0x7f01, 0x8400,
	0x0107, 0x0000
};

static unsigned short VectorCharASCII0x24[] = {
	0x7f00, 0x8003, 0xff01, 0xff00, 0xffff, 0x80fe, 0xffff, 0xff01,
	0x8003, 0x7ffe, 0x8700, 0x0006, 0x0000
};

static unsigned short VectorCharASCII0x25[] = {
	0xf904, 0x80fc, 0x8200, 0x8002, 0xfe00, 0x0500, 0x8002, 0x8200,
	0x80fe, 0xfe00, 0x0206, 0x0000
};

static unsigned short VectorCharASCII0x26[] = {
	0x0004, 0xfbfc, 0xff00, 0xff01, 0x8101, 0x8100, 0x82fe, 0x8200,
	0x8101, 0x8001, 0xff01, 0xff00, 0xff01, 0x0304, 0x0000
};

static unsigned short VectorCharASCII0x27[] = {
	0x7b01, 0xfe02, 0x80ff, 0x8100, 0x0606, 0x0000
};

static unsigned short VectorCharASCII0x28[] = {
	0x0003, 0xffff, 0xfb00, 0xff01, 0x0705, 0x0000
};

static unsigned short VectorCharASCII0x29[] = {
	0x0001, 0xff01, 0xfb00, 0xffff, 0x0707, 0x0000
};

static unsigned short VectorCharASCII0x2a[] = {
	0x7f00, 0xfc04, 0x00fe, 0x8400, 0x0002, 0xfcfc, 0x0200, 0x8004,
	0x0304, 0x0000
};

static unsigned short VectorCharASCII0x2b[] = {
	0x7d00, 0x8004, 0x7efe, 0x8400, 0x0106, 0x0000
};

static unsigned short VectorCharASCII0x2c[] = {
	0x0002, 0xfe02, 0x80ff, 0x8100, 0x0105, 0x0000
};

static unsigned short VectorCharASCII0x2d[] = {
	0x7d00, 0x8004, 0x0304, 0x0000
};

static unsigned short VectorCharASCII0x2e[] = {
	0x0001, 0x8001, 0xff00, 0x80ff, 0x8100, 0x0007, 0x0000
};

static unsigned short VectorCharASCII0x2f[] = {
	0xf904, 0x0704, 0x0000
};

static unsigned short VectorCharASCII0x30[] = {
	0xf904, 0x00ff, 0x80fe, 0x81ff, 0x8500, 0x8101, 0x8002, 0xff01,
	0xfb00, 0xffff, 0x0705, 0x0000
};

static unsigned short VectorCharASCII0x31[] = {
	0x0001, 0x8002, 0x00ff, 0xf900, 0x81ff, 0x0607, 0x0000
};

static unsigned short VectorCharASCII0x32[] = {
	0x7a00, 0xff01, 0x8002, 0x8101, 0x8200, 0x84fc, 0x8004, 0x0004,
	0x0000
};

static unsigned short VectorCharASCII0x33[] = {
	0x7f00, 0x8101, 0x8002, 0xff01, 0xfe00, 0xffff, 0x80fe, 0x0002,
	0xff01, 0xff00, 0xffff, 0x80fe, 0x81ff, 0x0608, 0x0000
};

static unsigned short VectorCharASCII0x34[] = {
	0x0003, 0xf900, 0x85fd, 0x8004, 0x0204, 0x0000
};

static unsigned short VectorCharASCII0x35[] = {
	0x7f00, 0x8101, 0x8002, 0xff01, 0xfe00, 0xffff, 0x80fd, 0xfd00,
	0x8004, 0x0704, 0x0000
};

static unsigned short VectorCharASCII0x36[] = {
	0x7c00, 0x8003, 0x8101, 0x8200, 0x81ff, 0x80fe, 0xffff, 0xfb00,
	0xff01, 0x8002, 0x8101, 0x0604, 0x0000
};

static unsigned short VectorCharASCII0x37[] = {
	0x0001, 0xf903, 0x80fc, 0x0708, 0x0000
};

static unsigned short VectorCharASCII0x38[] = {
	0x7c01, 0x81ff, 0x8200, 0x8101, 0x8002, 0xff01, 0xfe00, 0xffff,
	0x80fe, 0xffff, 0xff00, 0xff01, 0x8002, 0x8101, 0x8100, 0x81ff,
	0x0405, 0x0000
};

static unsigned short VectorCharASCII0x39[] = {
	0x0001, 0x8002, 0xff01, 0xfb00, 0xffff, 0x80fe, 0x81ff, 0x8200,
	0x8101, 0x8003, 0x0304, 0x0000
};

static unsigned short VectorCharASCII0x3a[] = {
	0x7f02, 0xff00, 0x8001, 0x8100, 0x80ff, 0x7d00, 0xff00, 0x8001,
	0x8100, 0x80ff, 0x0406, 0x0000
};

static unsigned short VectorCharASCII0x3b[] = {
	0x0002, 0xfe02, 0x80ff, 0x8100, 0x7d00, 0xff00, 0x8001, 0x8100,
	0x80ff, 0x0405, 0x0000
};

static unsigned short VectorCharASCII0x3c[] = {
	0x7b03, 0x82fe, 0x8202, 0x0105, 0x0000
};

static unsigned short VectorCharASCII0x3d[] = {
	0x7e00, 0x8004, 0x7e00, 0x80fc, 0x0408, 0x0000
};

static unsigned short VectorCharASCII0x3e[] = {
	0x7f01, 0xfe02, 0xfefe, 0x0507, 0x0000
};

static unsigned short VectorCharASCII0x3f[] = {
	0x7900, 0x8002, 0x8101, 0x82fe, 0x8200, 0x0100, 0x8100, 0x0007,
	0x0000
};

static unsigned short VectorCharASCII0x40[] = {
	0x7f03, 0x80fe, 0xffff, 0xfd00, 0xff01, 0x8002, 0x8101, 0x8200,
	0x81ff, 0x80ff, 0xffff, 0xff00, 0xff01, 0x8001, 0x8300, 0x0205,
	0x0000
};

static unsigned short VectorCharASCII0x41[] = {
	0xfa00, 0xff01, 0x8002, 0x8101, 0x8600, 0x7d00, 0x80fc, 0x0308,
	0x0000
};

static unsigned short VectorCharASCII0x42[] = {
	0xf900, 0x8003, 0x8101, 0x8100, 0x81ff, 0x8101, 0x8200, 0x81ff,
	0x80fd, 0x7c00, 0x8003, 0x0405, 0x0000
};

static unsigned short VectorCharASCII0x43[] = {
	0x0004, 0x80fd, 0xffff, 0xfb00, 0xff01, 0x8003, 0x0704, 0x0000
};

static unsigned short VectorCharASCII0x44[] = {
	0xf900, 0x8003, 0x8101, 0x8500, 0x81ff, 0x80fd, 0x0008, 0x0000
};

static unsigned short VectorCharASCII0x45[] = {
	0x0004, 0x80fc, 0xf900, 0x8004, 0x03fc, 0x8003, 0x0405, 0x0000
};

static unsigned short VectorCharASCII0x46[] = {
	0xf900, 0x8004, 0x03fc, 0x8003, 0x0405, 0x0000
};

static unsigned short VectorCharASCII0x47[] = {
	0x7d02, 0x8002, 0x8300, 0x80fd, 0xffff, 0xfb00, 0xff01, 0x8003,
	0x0704, 0x0000
};

static unsigned short VectorCharASCII0x48[] = {
	0xf900, 0x0300, 0x8004, 0x7d00, 0x8700, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x49[] = {
	0x0001, 0x8002, 0x00ff, 0xf900, 0x00ff, 0x8002, 0x0705, 0x0000
};

static unsigned short VectorCharASCII0x4a[] = {
	0x7f00, 0x8101, 0x8002, 0xff01, 0xfa00, 0x0704, 0x0000
};

static unsigned short VectorCharASCII0x4b[] = {
	0xf900, 0x0004, 0x83fc, 0x8404, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x4c[] = {
	0x7900, 0x8700, 0x8004, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x4d[] = {
	0xf900, 0x8402, 0xfc02, 0x8700, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x4e[] = {
	0xf900, 0x8704, 0xf900, 0x0704, 0x0000
};

static unsigned short VectorCharASCII0x4f[] = {
	0x0001, 0x8002, 0xff01, 0xfb00, 0xffff, 0x80fe, 0x81ff, 0x8500,
	0x8101, 0x0007, 0x0000
};

static unsigned short VectorCharASCII0x50[] = {
	0xf900, 0x8003, 0x8101, 0x8100, 0x81ff, 0x80fd, 0x0408, 0x0000
};

static unsigned short VectorCharASCII0x51[] = {
	0x0001, 0x8002, 0xff01, 0xfb00, 0xffff, 0x80fe, 0x81ff, 0x8500,
	0x8101, 0x7e01, 0x8202, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x52[] = {
	0xf900, 0x8003, 0x8101, 0x8100, 0x81ff, 0x80fd, 0x0002, 0x8402,
	0x0004, 0x0000
};

static unsigned short VectorCharASCII0x53[] = {
	0x8003, 0xff01, 0xfe00, 0xffff, 0x80fe, 0xffff, 0xff00, 0xff01,
	0x8003, 0x0704, 0x0000
};

static unsigned short VectorCharASCII0x54[] = {
	0x0002, 0xf900, 0x00fe, 0x8004, 0x0704, 0x0000
};

static unsigned short VectorCharASCII0x55[] = {
	0x7900, 0x8600, 0x8101, 0x8002, 0xff01, 0xfa00, 0x0704, 0x0000
};

static unsigned short VectorCharASCII0x56[] = {
	0x7900, 0x8702, 0xf902, 0x0704, 0x0000
};

static unsigned short VectorCharASCII0x57[] = {
	0x7900, 0x8701, 0xfc01, 0x8401, 0xf901, 0x0704, 0x0000
};

static unsigned short VectorCharASCII0x58[] = {
	0xf904, 0x00fc, 0x8704, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x59[] = {
	0x7900, 0x8302, 0xfd02, 0x03fe, 0x8400, 0x0006, 0x0000
};

static unsigned short VectorCharASCII0x5a[] = {
	0x7900, 0x8004, 0x87fc, 0x8004, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x5b[] = {
	0x0003, 0x80ff, 0xf900, 0x8001, 0x0705, 0x0000
};

static unsigned short VectorCharASCII0x5c[] = {
	0x7900, 0x8704, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x5d[] = {
	0x0001, 0x8001, 0xf900, 0x80ff, 0x0707, 0x0000
};

static unsigned short VectorCharASCII0x5e[] = {
	0x7b00, 0xfe02, 0x8202, 0x0504, 0x0000
};

static unsigned short VectorCharASCII0x5f[] = {
	0x8008, 0x0000
};

static unsigned short VectorCharASCII0x60[] = {
	0x7a01, 0x80ff, 0xff00, 0x8202, 0x0506, 0x0000
};

static unsigned short VectorCharASCII0x61[] = {
	0x7c01, 0x8002, 0x8101, 0x8300, 0x80fd, 0xffff, 0xff00, 0xff01,
	0x8003, 0x0304, 0x0000
};

static unsigned short VectorCharASCII0x62[] = {
	0x7900, 0x8700, 0x8003, 0xff01, 0xfe00, 0xffff, 0x80fd, 0x0408,
	0x0000
};

static unsigned short VectorCharASCII0x63[] = {
	0x7c04, 0x80fd, 0x81ff, 0x8200, 0x8101, 0x8003, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x64[] = {
	0x7c04, 0x80fd, 0x81ff, 0x8200, 0x8101, 0x8003, 0xf900, 0x0704,
	0x0000
};

static unsigned short VectorCharASCII0x65[] = {
	0x7e00, 0x8004, 0xff00, 0xffff, 0x80fe, 0x81ff, 0x8200, 0x8101,
	0x8003, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x66[] = {
	0x0001, 0xfa00, 0xff01, 0x8002, 0x03ff, 0x80fd, 0x0408, 0x0000
};

static unsigned short VectorCharASCII0x67[] = {
	0x0201, 0x8002, 0xff01, 0xfb00, 0x80fd, 0x81ff, 0x8200, 0x8101,
	0x8003, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x68[] = {
	0xf900, 0x0300, 0x8003, 0x8101, 0x8300, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x69[] = {
	0x0002, 0xfc00, 0x7f00, 0xff00, 0x0606, 0x0000
};

static unsigned short VectorCharASCII0x6a[] = {
	0x0200, 0x8001, 0xff01, 0xfb00, 0x7f00, 0xff00, 0x0606, 0x0000
};

static unsigned short VectorCharASCII0x6b[] = {
	0xf900, 0x0304, 0x82fc, 0x8204, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x6c[] = {
	0x0002, 0xfa00, 0xffff, 0x0707, 0x0000
};

static unsigned short VectorCharASCII0x6d[] = {
	0xfc00, 0x0100, 0xff01, 0x8101, 0x8300, 0x7d00, 0xff01, 0x8101,
	0x8300, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x6e[] = {
	0xfc00, 0x0100, 0xff01, 0x8002, 0x8101, 0x8300, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x6f[] = {
	0x0001, 0x8002, 0xff01, 0xfe00, 0xffff, 0x80fe, 0x81ff, 0x8200,
	0x8101, 0x0007, 0x0000
};

static unsigned short VectorCharASCII0x70[] = {
	0x0200, 0xfa00, 0x8003, 0x8101, 0x8200, 0x81ff, 0x80fd, 0x0008,
	0x0000
};

static unsigned short VectorCharASCII0x71[] = {
	0x0204, 0xfa00, 0x80fd, 0x81ff, 0x8200, 0x8101, 0x8003, 0x004,
	0x0000
};

static unsigned short VectorCharASCII0x72[] = {
	0xfc00, 0x0200, 0xfe01, 0x8003, 0x0404, 0x0000
};

static unsigned short VectorCharASCII0x73[] = {
	0x8003, 0xff01, 0xffff, 0x80fe, 0xffff, 0xff01, 0x8003, 0x404,
	0x0000
};

static unsigned short VectorCharASCII0x74[] = {
	0x7c00, 0x8004, 0x7efe, 0x8500, 0x8101, 0x0005, 0x0000
};

static unsigned short VectorCharASCII0x75[] = {
	0x7c00, 0x8300, 0x8101, 0x8002, 0xff01, 0x0100, 0xfc00, 0x0404,
	0x0000
};

static unsigned short VectorCharASCII0x76[] = {
	0x7c00, 0x8402, 0x0fc02, 0x0404, 0x0000
};

static unsigned short VectorCharASCII0x77[] = {
	0x7c00, 0x8401, 0xfe01, 0x8201, 0xfc01, 0x0404, 0x0000
};

static unsigned short VectorCharASCII0x78[] = {
	0xfc04, 0x00fc, 0x8404, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x79[] = {
	0x0201, 0x8002, 0xff01, 0xfb00, 0x0400, 0x80fd, 0xffff, 0xfd00,
	0x0408, 0x0000
};

static unsigned short VectorCharASCII0x7a[] = {
	0x7c00, 0x8004, 0x84fc, 0x8004, 0x0004, 0x0000
};

static unsigned short VectorCharASCII0x7b[] = {
	0x0003, 0xffff, 0xff00, 0xffff, 0xff01, 0xff00, 0xff01, 0x0605,
	0x0000
};

static unsigned short VectorCharASCII0x7c[] = {
	0x0002,0xf900, 0x0706, 0x0000
};

static unsigned short VectorCharASCII0x7d[] = {
	0x0001, 0xff01, 0xff00, 0xff01, 0xffff, 0xff00, 0xffff, 0x0607,
	0x0000
};

static unsigned short VectorCharASCII0x7e[] = {
	0x7d00, 0xff01, 0x8202, 0xff01, 0x0304, 0x0000
};

static unsigned short VectorCharASCII0x7f[] = {
	0xf900, 0x8006, 0x8700, 0x80fb, 0xfa00, 0x8004, 0x8500, 0x80fd,
	0xfc00, 0x8002, 0x8300, 0x80ff, 0xfe00, 0x0405, 0x0000
};

static unsigned short VectorCharSpecial0x80[] = {
	0x8003, 0xff01, 0xff00, 0xff01, 0x01ff, 0x80fd, 0xffff, 0xfe00,
	0xff01, 0x8003, 0x8101, 0x0503, 0x0000
};

static unsigned short VectorCharSpecial0x81[] = {
	0x7c00, 0x8300, 0x8101, 0x8002, 0xff01, 0x0100, 0xfc00, 0x7e00,
	0x8100, 0x80ff, 0xff00, 0x8001, 0x00fd, 0x8100, 0x80ff, 0xff00,
	0x8001, 0x0607, 0x0000
};

static unsigned short VectorCharSpecial0x82[] = {
	0x7e00, 0x8004, 0xff00, 0xffff, 0x80fe, 0x81ff, 0x8200, 0x8101,
	0x8003, 0x7bfd, 0xff01, 0xff01, 0x0705, 0x0000
};

static unsigned short VectorCharSpecial0x83[] = {
	0x7c01, 0x8002, 0x8101, 0x8300, 0x80fd, 0xffff, 0xff00, 0xff01,
	0x8003, 0x7eff, 0xffff, 0x81ff, 0x0507, 0x0000
};

static unsigned short VectorCharSpecial0x84[] = {
	0x7c01, 0x8002, 0x8101, 0x8300, 0x80fd, 0xffff, 0xff00, 0xff01,
	0x8003, 0x7e00, 0xff00, 0x80ff, 0x8100, 0x8001, 0x00fe, 0xff00,
	0x80ff, 0x8100, 0x8001, 0x0506, 0x0000
};

static unsigned short VectorCharSpecial0x85[] = {
	0x7c01, 0x8002, 0x8101, 0x8300, 0x80fd, 0xffff, 0xff00, 0xff01,
	0x8003, 0x7efe, 0xffff, 0x0607, 0x0000
};

static unsigned short VectorCharSpecial0x86[] = {
	0x7c01, 0x8002, 0x8101, 0x8300, 0x80fd, 0xffff, 0xff00, 0xff01,
	0x8003, 0x7efe, 0xff01, 0xffff, 0x81ff, 0x8101, 0x0506, 0x0000
};

static unsigned short VectorCharSpecial0x87[] = {
	0x0002, 0x8001, 0xff01, 0xff01, 0x01ff, 0x80fe, 0xffff, 0xff00,
	0xff01, 0x8002, 0x8101, 0x0303, 0x0000
};

static unsigned short VectorCharSpecial0x88[] = {
	0x7e00, 0x8004, 0xff00, 0xffff, 0x80fe, 0x81ff, 0x8200, 0x8101,
	0x8003, 0x7bff, 0xffff, 0x81ff, 0x0507, 0x0000
};

static unsigned short VectorCharSpecial0x89[] = {
	0x7e00, 0x8004, 0xff00, 0xffff, 0x80fe, 0x81ff, 0x8200, 0x8101,
	0x8003, 0x7a00, 0x8100, 0x80ff, 0xff00, 0x8001, 0x00fd, 0x8100,
	0x80ff, 0xff00, 0x8001, 0x0607, 0x0000
};

static unsigned short VectorCharSpecial0x8a[] = {
	0x7e00, 0x8004, 0xff00, 0xffff, 0x80fe, 0x81ff, 0x8200, 0x8101,
	0x8003, 0x7bfe, 0xffff, 0x0607, 0x0000
};

static unsigned short VectorCharSpecial0x8b[] = {
	0x0002, 0xfc00, 0x7f00, 0xff00, 0x80ff, 0x8100, 0x8001, 0x0001,
	0x8001, 0xff00, 0x80ff, 0x8100, 0x0505, 0x0000
};

static unsigned short VectorCharSpecial0x8c[] = {
	0x0002, 0xfc00, 0x7fff, 0xff01, 0x8101, 0x0505, 0x0000
};

static unsigned short VectorCharSpecial0x8d[] = {
	0x0002, 0xfc00, 0x7eff, 0x8101, 0x0506, 0x0000
};

static unsigned short VectorCharSpecial0x8e[] = {
	0xfb00, 0xff01, 0x8002, 0x8101, 0x8500, 0x7d00, 0x80fc, 0x7c00,
	0xff00, 0x8001, 0x8100, 0x80ff, 0x0003, 0xff00, 0x8001, 0x8100,
	0x80ff, 0x0705, 0x0000
};

static unsigned short VectorCharSpecial0x8f[] = {
	0xfb00, 0xff01, 0x8002, 0x8101, 0x8500, 0x7d00, 0x80fc, 0x7b01,
	0xff01, 0x8101, 0x81ff, 0xffff, 0x0807, 0x0000
};

static unsigned short VectorCharSpecial0x90[] = {
	0x0004, 0x80fc, 0xf900, 0x8004, 0x03fc, 0x8003, 0x7cfe, 0xff01,
	0x0906, 0x0000
};

static unsigned short VectorCharSpecial0x91[] = {
	0x0006, 0x80fe, 0xfefe, 0x80ff, 0x81ff, 0x8101, 0x8001, 0xff01,
	0xfe00, 0xff01, 0x8001, 0x8101, 0x8100, 0x80fd, 0x7f00, 0xffff,
	0x80ff, 0x81ff, 0x0308, 0x0000
};

static unsigned short VectorCharSpecial0x92[] = {
	0xfc00, 0xfd02, 0x8004, 0x0700, 0x80fd, 0xf900, 0x03fd, 0x8005,
	0x0403, 0x0000
};

static unsigned short VectorCharSpecial0x93[] = {
	0x0001, 0x8002, 0xff01, 0xfe00, 0xffff, 0x80fe, 0x81ff, 0x8200,
	0x8101, 0x7b00, 0xff01, 0x8101, 0x0505, 0x0000
};

static unsigned short VectorCharSpecial0x94[] = {
	0x0001, 0x8002, 0xff01, 0xfe00, 0xffff, 0x80fe, 0x81ff, 0x8200,
	0x8101, 0x7bff, 0xff00, 0x8001, 0x8100, 0x80ff, 0x0003, 0xff00,
	0x8001, 0x8100, 0x80ff, 0x0505, 0x0000
};

static unsigned short VectorCharSpecial0x95[] = {
	0x0001, 0x8002, 0xff01, 0xfe00, 0xffff, 0x80fe, 0x81ff, 0x8200,
	0x8101, 0x7a00, 0x8101, 0x0506, 0x0000
};

static unsigned short VectorCharSpecial0x96[] = {
	0x7c00, 0x8300, 0x8101, 0x8002, 0xff01, 0x0100, 0xfc00, 0x7fff,
	0xffff, 0x81ff, 0x0507, 0x0000
};

static unsigned short VectorCharSpecial0x97[] = {
	0x7c00, 0x8300, 0x8101, 0x8002, 0xff01, 0x0100, 0xfc00, 0x7ffe,
	0xffff, 0x0607, 0x0000
};

static unsigned short VectorCharSpecial0x98[] = {
	0x0201, 0x8002, 0xff01, 0xfb00, 0x0400, 0x80fd, 0xffff, 0xfd00,
	0x7f00, 0xff00, 0x8001, 0x8100, 0x80ff, 0x0003, 0xff00, 0x8001,
	0x8100, 0x80ff, 0x0505, 0x0000
};

static unsigned short VectorCharSpecial0x99[] = {
	0x0001, 0x8002, 0xff01, 0xfb00, 0xffff, 0x80fe, 0x81ff, 0x8500,
	0x8101, 0x78ff, 0xff00, 0x8001, 0x8100, 0x80ff, 0x0003, 0xff00,
	0x8001, 0x8100, 0x80ff, 0x0805, 0x0000
};

static unsigned short VectorCharSpecial0x9a[] = {
	0x7900, 0x8600, 0x8101, 0x8002, 0xff01, 0xfa00, 0x7fff, 0xff00,
	0x8001, 0x8100, 0x80ff, 0x00fd, 0xff00, 0x8001, 0x8100, 0x80ff,
	0x0808, 0x0000
};

static unsigned short VectorCharSpecial0x9b[] = {
	0x7b04, 0x80fd, 0x81ff, 0x8200, 0x8101, 0x8003, 0x00ff, 0x8100,
	0x7b00, 0xff00, 0x0605, 0x0000
};

static unsigned short VectorCharSpecial0x9c[] = {
	0x7f05, 0x81ff, 0x80fe, 0xffff, 0x80ff, 0x8100, 0x8001, 0xfa00,
	0xff01, 0x8001, 0x8101, 0x02fc, 0x8002, 0x0406, 0x0000
};

static unsigned short VectorCharSpecial0x9d[] = {
	0x7900, 0x8302, 0xfd02, 0x03fe, 0x8400, 0x7eff, 0x8002, 0x7efe,
	0x8002, 0x0405, 0x0000
};

static unsigned short VectorCharSpecial0x9e[] = {
	0xf900, 0x8003, 0x8101, 0x8100, 0x81ff, 0x80fd, 0x0103, 0x8200,
	0x8101, 0x7efe, 0x8002, 0x0204, 0x0000
};

static unsigned short VectorCharSpecial0x9f[] = {
	0x7f00, 0x8101, 0xff01, 0xfb00, 0xff01, 0x8101, 0x02fd, 0x8002,
	0x0405, 0x0000
};

static unsigned short VectorCharSpecial0xa0[] = {
	0x7c01, 0x8002, 0x8101, 0x8300, 0x80fd, 0xffff, 0xff00, 0xff01,
	0x8003, 0x7dff, 0x81ff, 0x0506, 0x0000
};

static unsigned short VectorCharSpecial0xa1[] = {
	0x0002, 0xfc00, 0x7f00, 0xff01, 0x0605, 0x0000
};

static unsigned short VectorCharSpecial0xa2[] = {
	0x0001, 0x8002, 0xff01, 0xfe00, 0xffff, 0x80fe, 0x81ff, 0x8200,
	0x8101, 0x7b01, 0xff01, 0x0605, 0x0000
};

static unsigned short VectorCharSpecial0xa3[] = {
	0x7c00, 0x8300, 0x8101, 0x8002, 0xff01, 0x0100, 0xfc00, 0x7ffe,
	0xff01, 0x0605, 0x0000
};

static unsigned short VectorCharSpecial0xa4[] = {
	0xfc00, 0x0100, 0xff01, 0x8002, 0x8101, 0x8300, 0x7afc, 0xff01,
	0x8202, 0xff01, 0x0604, 0x0000
};

static unsigned short VectorCharSpecial0xa5[] = {
	0xf900, 0x8704, 0xf900, 0x7ffc, 0xff01, 0x8202, 0xff01, 0x0804,
	0x0000
};

static unsigned short VectorCharSpecial0xa6[] = {
	0x7d00, 0x8003, 0x7bfe, 0x8002, 0x8101, 0x8200, 0x81ff, 0x80fe,
	0xffff, 0xff01, 0x8002, 0x0705, 0x0000
};

static unsigned short VectorCharSpecial0xa7[] = {
	0x7d00, 0x8003, 0x7ffe, 0xffff, 0xff00, 0xff01, 0x8001, 0x8101,
	0x8100, 0x81ff, 0x80ff, 0x0407, 0x0000
};

static unsigned short VectorCharSpecial0xa8[] = {
	0x0003, 0x80fe, 0xffff, 0xfe02, 0xfe00, 0x7f00, 0xff00, 0x0706,
	0x0000
};

static unsigned short VectorCharSpecial0xa9[] = {
	0xff00, 0x8002, 0x0106, 0x0000
};

static unsigned short VectorCharSpecial0xaa[] = {
	0x8002, 0x8100, 0x7f06, 0x0000
};

static unsigned short VectorCharSpecial0xab[] = {
	0x7901, 0x8300, 0x03ff, 0xfa06, 0x04fe, 0xff01, 0x8001, 0x8101,
	0x81ff, 0x80ff, 0x81ff, 0x8100, 0x8003, 0x0001, 0x0000
};

static unsigned short VectorCharSpecial0xac[] = {
	0x7901, 0x8300, 0x03ff, 0xfa06, 0x0501, 0x80fc, 0xfd03, 0x8500,
	0x0002, 0x0000
};

static unsigned short VectorCharSpecial0xad[] = {
	0x0002, 0xfc00, 0x7f00, 0xff00, 0x0606, 0x0000
};

static unsigned short VectorCharSpecial0xae[] = {
	0x7b03, 0x82fe, 0x8202, 0x0002, 0xfefe, 0xfe02, 0x0503, 0x0000
};

static unsigned short VectorCharSpecial0xaf[] = {
	0x7f01, 0xfe02, 0xfefe, 0x0002, 0x8202, 0x82fe, 0x0105, 0x0000
};

static unsigned short VectorCharSpecial0xb0[] = {
	0x8007, 0x7e00, 0x80f9, 0x7d00, 0x8007, 0x7e00, 0x80f9, 0x8700,
	0x0003, 0xf900, 0x0002, 0x8700, 0x0002, 0xf900, 0x0701, 0x0000
};

static unsigned short VectorCharSpecial0xb1[] = {
	0x8007, 0x7e00, 0x80f9, 0x7e00, 0x8007, 0x7e00, 0x80f9, 0x7f00,
	0x8007, 0x00f9, 0x8700, 0x0002, 0xf900, 0x0002, 0x8700, 0x0002,
	0xf900, 0x0001, 0x8700, 0x0001, 0x0000
};

static unsigned short VectorCharSpecial0xb2[] = {
	0x8007, 0xf900, 0x80f9, 0x8700, 0xf907, 0x0200, 0x85fb, 0x0002,
	0xfd03, 0x7cfe, 0x85fb, 0x7e00, 0xfd03, 0x8404, 0x03fd, 0xfcfc,
	0x0408, 0x0000
};

static unsigned short VectorCharSpecial0xb3[] = {
	0x0104, 0xf600, 0x0904, 0x0000
};

static unsigned short VectorCharSpecial0xb4[] = {
	0x0104, 0xf600, 0x0500, 0x80fc, 0x0408, 0x0000
};

static unsigned short VectorCharSpecial0xb5[] = {
	0x0104, 0xf600, 0x0400, 0x80fc, 0x0200, 0x8004, 0x0304, 0x0000
};

static unsigned short VectorCharSpecial0xb6[] = {
	0x0105, 0xf600, 0x00fe, 0x8a00, 0x7b00, 0x80fd, 0x0408, 0x0000
};

static unsigned short VectorCharSpecial0xb7[] = {
	0x0105, 0xfb00, 0x80fb, 0x0503, 0xfb00, 0x0405, 0x0000
};

static unsigned short VectorCharSpecial0xb8[] = {
	0x0104, 0xfa00, 0x80fc, 0x0200, 0x8004, 0x0304, 0x0000
};

static unsigned short VectorCharSpecial0xb9[] = {
	0x0103, 0xfc00, 0x80fd, 0x7e00, 0x8003, 0xfc00, 0x0002, 0x8a00,
	0x7f03, 0x0000
};

static unsigned short VectorCharSpecial0xba[] = {
	0x0103, 0x0f600, 0x0002, 0x8a00, 0x7f03, 0x0000
};

static unsigned short VectorCharSpecial0xbb[] = {
	0x0103, 0xfc00, 0x80fd, 0x7e00, 0x8005, 0x8600, 0x7f03, 0x0000
};

static unsigned short VectorCharSpecial0xbc[] = {
	0x7d00, 0x8005, 0xfa00, 0x00fe, 0x8400, 0x80fd, 0x0508, 0x0000
};

static unsigned short VectorCharSpecial0xbd[] = {
	0x7c00, 0x8005, 0xfb00, 0x00fe, 0x8500, 0x0405, 0x0000
};

static unsigned short VectorCharSpecial0xbe[] = {
	0x7d00, 0x8004, 0xfa00, 0x0400, 0x80fc, 0x0508, 0x0000
};

static unsigned short VectorCharSpecial0xbf[] = {
	0x7c00, 0x8004, 0x8500, 0x7f04, 0x0000
};

static unsigned short VectorCharSpecial0xc0[] = {
	0x7704, 0x8500, 0x8004, 0x0400, 0x0000
};

static unsigned short VectorCharSpecial0xc1[] = {
	0x7c00, 0x8008, 0x7bfc, 0x8500, 0x0404, 0x0000
};

static unsigned short VectorCharSpecial0xc2[] = {
	0x7c00, 0x8008, 0x00fc, 0x8500, 0x7f04, 0x0000
};

static unsigned short VectorCharSpecial0xc3[] = {
	0x0104, 0xf600, 0x0500, 0x8004, 0x0400, 0x0000
};

static unsigned short VectorCharSpecial0xc4[] = {
	0x7c00, 0x8008, 0x0400, 0x0000
};

static unsigned short VectorCharSpecial0xc5[] = {
	0x0104, 0xf600, 0x05fc, 0x8008, 0x0400, 0x0000
};

static unsigned short VectorCharSpecial0xc6[] = {
	0x0104, 0xf600, 0x0400, 0x8004, 0x0200, 0x80fc, 0x0304, 0x0000
};

static unsigned short VectorCharSpecial0xc7[] = {
	0x0103, 0xf600, 0x0002, 0x8a00, 0x7b00, 0x8003, 0x0400, 0x0000
};

static unsigned short VectorCharSpecial0xc8[] = {
	0x7703, 0x8600, 0x8005, 0x7e00, 0x80fd, 0xfc00, 0x0903, 0x0000
};

static unsigned short VectorCharSpecial0xc9[] = {
	0x0103, 0xfa00, 0x8005, 0x0200, 0x80fd, 0x8400, 0x7f03, 0x0000
};

static unsigned short VectorCharSpecial0xca[] = {
	0x7d00, 0x8008, 0x7e00, 0x80fd, 0xfc00, 0x00fe, 0x8400, 0x80fd,
	0x0508, 0x0000
};

static unsigned short VectorCharSpecial0xcb[] = {
	0x0103, 0xfc00, 0x80fd, 0x7e00, 0x8008, 0x0200, 0x80fd, 0x8400,
	0x7f03, 0x0000
};

static unsigned short VectorCharSpecial0xcc[] = {
	0x0103, 0xf600, 0x0002, 0x8400, 0x8003, 0x0200, 0x80fd, 0x8400,
	0x7f03, 0x0000
};

static unsigned short VectorCharSpecial0xcd[] = {
	0x7d00, 0x8008, 0x7e00, 0x80f8, 0x0508, 0x0000
};

static unsigned short VectorCharSpecial0xce[] = {
	0x0103, 0xfc00, 0x80fd, 0x7e00, 0x8003, 0xfc00, 0x0002, 0x8400,
	0x8003, 0x0200, 0x80fd, 0x8400, 0x7f03, 0x0000
};

static unsigned short VectorCharSpecial0xcf[] = {
	0x7d00, 0x8008, 0x7e00, 0x80f8, 0x0004, 0xfc00, 0x0904, 0x0000
};

static unsigned short VectorCharSpecial0xd0[] = {
	0x7c00, 0x8008, 0x00fd, 0xfb00, 0x00fe, 0x8500, 0x0405, 0x0000
};

static unsigned short VectorCharSpecial0xd1[] = {
	0x7d00, 0x8008, 0x7e00, 0x80f8, 0x0204, 0x8400, 0x7f04, 0x0000
};

static unsigned short VectorCharSpecial0xd2[] = {
	0x7c00, 0x8008, 0x00fd, 0x8500, 0x00fe, 0xfb00, 0x0405, 0x0000
};

static unsigned short VectorCharSpecial0xd3[] = {
	0x7703, 0x8500, 0x8005, 0x00fd, 0xfb00, 0x0903, 0x0000
};

static unsigned short VectorCharSpecial0xd4[] = {
	0x7704, 0x8600, 0x8004, 0x7e00, 0x80fc, 0x0504, 0x0000
};

static unsigned short VectorCharSpecial0xd5[] = {
	0x0104, 0xfa00, 0x8004, 0x0200, 0x80fc, 0x0304, 0x0000
};

static unsigned short VectorCharSpecial0xd6[] = {
	0x0103, 0xfb00, 0x8005, 0x00fd, 0x8500, 0x7f03, 0x0000
};

static unsigned short VectorCharSpecial0xd7[] = {
	0x7c00, 0x8008, 0x7bfd, 0x8a00, 0x00fe, 0xf600, 0x0905, 0x0000
};

static unsigned short VectorCharSpecial0xd8[] = {
	0x7d00, 0x8008, 0x7e00, 0x80f8, 0x7c04, 0x8a00, 0x7f04, 0x0000
};

static unsigned short VectorCharSpecial0xd9[] = {
	0x7c00, 0x8004, 0xfb00, 0x0904, 0x0000
};

static unsigned short VectorCharSpecial0xda[] = {
	0x0104, 0xfb00, 0x8004, 0x0400, 0x0000
};

static unsigned short VectorCharSpecial0xdb[] = {
	0xf800, 0x0001, 0x8800, 0x0001, 0xf800, 0x0001, 0x8800, 0x0001,
	0xf800, 0x0001, 0x8800, 0x0001, 0xf800, 0x0001, 0x8800, 0x0001,
	0x0000
};

static unsigned short VectorCharSpecial0xdc[] = {
	0x8008, 0x7f00, 0x80f8, 0x7f00, 0x8008, 0x7f00, 0x80f8, 0x0308,
	0x0000
};

static unsigned short VectorCharSpecial0xdd[] = {
	0xf800, 0x0001, 0x8800, 0x0001, 0xf800, 0x0001, 0x8800, 0x0005,
	0x0000
};

static unsigned short VectorCharSpecial0xde[] = {
	0x0004, 0xf800, 0x0001, 0x8800, 0x0001, 0xf800, 0x0001, 0x8800,
	0x0001, 0x0000
};

static unsigned short VectorCharSpecial0xdf[] = {
	0x7c00, 0x8008, 0x7f00, 0x80f8, 0x7f00, 0x8008, 0x7f00, 0x80f8,
	0x0708, 0x0000
};

static unsigned short VectorCharSpecial0xe0[] = {
	0x7f01, 0xff00, 0xff01, 0x8001, 0x8101, 0xff01, 0x01ff, 0x8100,
	0x8101, 0x7fff, 0x81ff, 0x80ff, 0xffff, 0x0107, 0x0000
};

static unsigned short VectorCharSpecial0xe1[] = {
	0xfa00, 0xff01, 0x8001, 0x8101, 0x8100, 0x81ff, 0x80fe, 0x0002,
	0x8101, 0x8100, 0x81ff, 0x80fe, 0x0108, 0x0000
};

static unsigned short VectorCharSpecial0xe2[] = {
	0x8002, 0x00ff, 0xfa00, 0x00ff, 0x8005, 0x8100, 0x0503, 0x0000
};

static unsigned short VectorCharSpecial0xe3[] = {
	0x7d01, 0x8004, 0x00fd, 0x8300, 0x0002, 0xfd00, 0x0304, 0x0000
};

static unsigned short VectorCharSpecial0xe4[] = {
	0x8004, 0xff00, 0x01fc, 0xff00, 0xff01, 0xff01, 0xff00, 0xffff,
	0xffff, 0xff00, 0x8004, 0x8100, 0x0604, 0x0000
};

static unsigned short VectorCharSpecial0xe5[] = {
	0x0002, 0xffff, 0xff00, 0xff01, 0x8003, 0x00fd, 0x8101, 0x8100,
	0x81ff, 0x0006, 0x0000
};

static unsigned short VectorCharSpecial0xe6[] = {
	0xfb00, 0x0300, 0x8003, 0xfd00, 0x0505, 0x0000
};

static unsigned short VectorCharSpecial0xe7[] = {
	0x7e01, 0xff01, 0x8002, 0xff01, 0x01fe, 0x8300, 0x0005, 0x0000
};

static unsigned short VectorCharSpecial0xe8[] = {
	0x0002, 0x8002, 0x00ff, 0xf900, 0x00ff, 0x8002, 0x0500, 0x80fe,
	0xffff, 0xff00, 0xff01, 0x8002, 0x8101, 0x8100, 0x81ff, 0x0204,
	0x0000
};

static unsigned short VectorCharSpecial0xe9[] = {
	0x0003, 0xffff, 0xfc00, 0xff01, 0x8001, 0x8101, 0x8400, 0x81ff,
	0x80ff, 0x7dff, 0x8003, 0x0303, 0x0000
};

static unsigned short VectorCharSpecial0xea[] = {
	0x7f00, 0x8001, 0xff00, 0xffff, 0xff00, 0xfe02, 0x8002, 0x8202,
	0x8100, 0x81ff, 0x8100, 0x8001, 0x0102, 0x0000
};

static unsigned short VectorCharSpecial0xeb[] = {
	0x7a05, 0x80ff, 0x81ff, 0x8100, 0x8202, 0x8100, 0x81ff, 0x80ff,
	0xffff, 0xff00, 0xff01, 0x8001, 0x0304, 0x0000
};

static unsigned short VectorCharSpecial0xec[] = {
	0x7e03, 0x81ff, 0x80ff, 0xffff, 0xff00, 0xff01, 0x8001, 0x8101,
	0x8100, 0x8101, 0x8001, 0xff01, 0xff00, 0xffff, 0x80ff, 0x81ff,
	0x0305, 0x0000
};

static unsigned short VectorCharSpecial0xed[] = {
	0x0001, 0xfb05, 0x02ff, 0x8100, 0x81ff, 0x80ff, 0xffff, 0xff00,
	0xff01, 0x8001, 0x8101, 0x0303, 0x0000
};

static unsigned short VectorCharSpecial0xee[] = {
	0x0005, 0x80fe, 0xffff, 0xff01, 0x8001, 0x80ff, 0xffff, 0xff01,
	0x8002, 0x0403, 0x0000
};

static unsigned short VectorCharSpecial0xef[] = {
	0x0001, 0xfb00, 0xff01, 0x8003, 0x8101, 0x8500, 0x0002, 0x0000
};

static unsigned short VectorCharSpecial0xf0[] = {
	0x7f01, 0x8005, 0x7e00, 0x80fb, 0x7e00, 0x8005, 0x0502, 0x0000
};

static unsigned short VectorCharSpecial0xf1[] = {
	0x7f02, 0x8002, 0x7eff, 0xfe00, 0x01ff, 0x8002, 0x0404, 0x0000
};

static unsigned short VectorCharSpecial0xf2[] = {
	0x7f01, 0x8003, 0x7efe, 0xfe02, 0xfefe, 0x0706, 0x0000
};

static unsigned short VectorCharSpecial0xf3[] = {
	0x7f02, 0x8003, 0x7eff, 0xfefe, 0xfe02, 0x0704, 0x0000
};

static unsigned short VectorCharSpecial0xf4[] = {
	0x0104, 0xf900, 0xff01, 0x8101, 0x8100, 0x0502, 0x0000
};

static unsigned short VectorCharSpecial0xf5[] = {
	0x7704, 0x8700, 0x81ff, 0xffff, 0xff00, 0x0306, 0x0000
};

static unsigned short VectorCharSpecial0xf6[] = {
	0x0003, 0xff00, 0x7c00, 0xff00, 0x03fe, 0x8004, 0x0303, 0x0000
};

static unsigned short VectorCharSpecial0xf7[] = {
	0x7f01, 0xff01, 0x8101, 0xff01, 0x8001, 0x7efc, 0xff01, 0x8101,
	0xff01, 0x8001, 0x0503, 0x0000
};

static unsigned short VectorCharSpecial0xf8[] = {
	0x7b03, 0xffff, 0xff01, 0x8101, 0x81ff, 0x0505, 0x0000
};

static unsigned short VectorCharSpecial0xf9[] = {
	0x7d03, 0xfe00, 0x0505, 0x0000
};

static unsigned short VectorCharSpecial0xfa[] = {
	0x7d03, 0xff00, 0x0405, 0x0000
};

static unsigned short VectorCharSpecial0xfb[] = {
	0x7c00, 0x8001, 0x8402, 0xf801, 0x8003, 0x0801, 0x0000
};

static unsigned short VectorCharSpecial0xfc[] = {
	0x7c02, 0xfe00, 0x0100, 0xff01, 0x8001, 0x8101, 0x8100, 0x0403,
	0x0000
};

static unsigned short VectorCharSpecial0xfd[] = {
	0x7901, 0xff01, 0x8001, 0x8101, 0x81ff, 0x80ff, 0x81ff, 0x8100,
	0x8003, 0x0404, 0x0000
};

static unsigned short VectorCharSpecial0xfe[] = {
	0x7d03, 0xff00, 0x8001, 0x8100, 0x80ff, 0x0305, 0x0000
};

static unsigned short VectorCharIEEE[] = {
	0x800c, 0xfaf4, 0x8600, 0x0000
};

static unsigned short VectorCharIEEE0x01[] = {
	0x800c, 0xfa00, 0x86f4, 0x0000
};

static unsigned short VectorCharIEEE0x02[] = {
	0xfc0c, 0xfcf4, 0x0400, 0x800c, 0x0000
};

static unsigned short VectorCharIEEE0x03[] = {
	0x000c, 0xfcf4, 0xfc0c, 0x0400, 0x80f4, 0x0000
};

static unsigned short VectorCharIEEE0x04[] = {
	0x000c, 0xfcf4, 0xfc0c, 0x0002, 0x840c, 0x84f4, 0x7c0c, 0x80e6,
	0x0000
};

static unsigned short VectorCharIEEE0x05[] = {
	0xfc0c, 0xfcf4, 0x0000
};

static unsigned short VectorCharIEEE0x06[] = {
	0x000c, 0xfcf4, 0xfc0c, 0x0000
};

static unsigned short VectorCharIEEE0x07[] = {
	0xf808, 0x00f8, 0x8808, 0x0000
};

static unsigned short VectorCharIEEE0x08[] = {
	0xfa00, 0xfe02, 0x8002, 0x8202, 0x8600, 0x0000
};

static unsigned short VectorCharIEEE0x09[] = {
	0x7800, 0x8008, 0x88fc, 0xf8fc, 0x0000
};

static unsigned short VectorCharIEEE0x0a[] = {
	0xf800, 0x8408, 0x84f8, 0x0000
};

static unsigned short VectorCharIEEE0x0b[] = {
	0x7c00, 0xfc08, 0x8800, 0xfcf8, 0x0000
};

static unsigned short VectorCharIEEE0x0d[] = {
	0x7800, 0x8008, 0x08fc, 0xfcfc, 0xfc04, 0x8404, 0x84fc, 0x7cfc,
	0x8008, 0x0000
};

static unsigned short VectorCharIEEE0x0c[] = {
	0x8008, 0x00fc, 0xfcfc, 0xfc04, 0x8404, 0x84fc, 0x7cfc, 0x8008,
	0x0000
};

static unsigned short VectorCharIEEE0x0e[] = {
	0x0004, 0xfcfc, 0xfc04, 0x8404, 0x84fc, 0x0000
};

static unsigned short VectorCharIEEE0x0f[] = {
	0x7800, 0x8008, 0x08fc, 0xfcfc, 0xfc04, 0x8404, 0x84fc, 0x0000
};

static unsigned short VectorCharIEEE0x10[] = {
	0x8008, 0x00fc, 0xfcfc, 0xfc04, 0x8404, 0x84fc, 0x0000
};

static unsigned short VectorCharIEEE0x11[] = {
	0x7800, 0x8008, 0x8800, 0x0000
};

static unsigned short VectorCharIEEE0x12[] = {
	0x800c, 0xf800, 0x08f8, 0xf800, 0x800c, 0x0000
};

static unsigned short VectorCharIEEE0x13[] = {
	0x8008, 0xf800, 0x8008, 0x8800, 0x8008, 0x0000
};

static unsigned short VectorCharIEEE0x14[] = {
	0x800c, 0xfefa, 0x8400, 0xfe06, 0x0000
};

static unsigned short VectorCharIEEE0x15[] = {
	0x000c, 0x80f4, 0xfe06, 0x8400, 0xfefa, 0x0000
};

static unsigned short VectorCharIEEE0x16[] = {
	0x7f00, 0x8004, 0x7f00, 0xfefc, 0xfe04, 0x0000
};

static unsigned short VectorCharIEEE0x17[] = {
	0x7f00, 0x8004, 0x7ffc, 0xfe04, 0xfefc, 0x0000
};

static unsigned short VectorCharIEEE0x18[] = {
	0x7e00, 0x8006, 0x7e00, 0x80fa, 0x7e05, 0x86fc, 0x0000
};

static unsigned short VectorCharIEEE0x19[] = {
	0x7f07, 0x8100, 0x80f9, 0xfd03, 0xfdfd, 0x8007, 0x8100, 0x0000
};

static unsigned short VectorCharIEEE0x1a[] = {
	0x0002, 0xfa00, 0x00fe, 0x8007, 0x80fe, 0x8600, 0x0000
};


/* -- PUBLIC DATA DEFINITIONS ------------------------------------------- */

unsigned char BitmapFont[224][8] = {
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x10, 0x10, 0x10, 0x10, 0x10, 0x00, 0x10, 0x00,
	0x44, 0x44, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x28, 0x28, 0xfe, 0x28, 0xfe, 0x28, 0x28, 0x00,
	0x28, 0x7e, 0x80, 0x7c, 0x02, 0xfc, 0x28, 0x00,
	0x42, 0xa4, 0x48, 0x10, 0x24, 0x4a, 0x84, 0x00,
	0x38, 0x44, 0x28, 0x70, 0x8a, 0x84, 0x7a, 0x00,
	0x18, 0x18, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x18, 0x20, 0x40, 0x40, 0x40, 0x20, 0x18, 0x00,
	0x30, 0x08, 0x04, 0x04, 0x04, 0x08, 0x30, 0x00,
	0x00, 0x54, 0x38, 0x7c, 0x38, 0x54, 0x00, 0x00,
	0x00, 0x10, 0x10, 0xfe, 0x10, 0x10, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x30, 0x60,
	0x00, 0x00, 0x00, 0xfe, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x30, 0x30, 0x00,
	0x02, 0x04, 0x08, 0x10, 0x20, 0x40, 0x80, 0x00,
	0x7c, 0x86, 0x8a, 0x92, 0xa2, 0xc2, 0x7c, 0x00,
	0x10, 0x30, 0x10, 0x10, 0x10, 0x10, 0x7c, 0x00,
	0x7c, 0x82, 0x02, 0x3c, 0x40, 0x80, 0xfe, 0x00,
	0x7c, 0x82, 0x02, 0x1c, 0x02, 0x82, 0x7c, 0x00,
	0x0c, 0x14, 0x24, 0x44, 0xfe, 0x04, 0x04, 0x00,
	0xfe, 0x80, 0x80, 0xfc, 0x02, 0x82, 0x7c, 0x00,
	0x7c, 0x80, 0x80, 0xbc, 0xc2, 0x82, 0x7c, 0x00,
	0xfe, 0x02, 0x02, 0x04, 0x08, 0x10, 0x10, 0x00,
	0x7c, 0x82, 0x82, 0x7c, 0x82, 0x82, 0x7c, 0x00,
	0x7c, 0x82, 0x86, 0x7a, 0x02, 0x02, 0x7c, 0x00,
	0x00, 0x30, 0x30, 0x00, 0x00, 0x30, 0x30, 0x00,
	0x00, 0x30, 0x30, 0x00, 0x00, 0x30, 0x30, 0x60,
	0x08, 0x10, 0x20, 0x40, 0x20, 0x10, 0x08, 0x00,
	0x00, 0x00, 0xfe, 0x00, 0x00, 0xfe, 0x00, 0x00,
	0x20, 0x10, 0x08, 0x04, 0x08, 0x10, 0x20, 0x00,
	0x7c, 0x82, 0x02, 0x0c, 0x10, 0x00, 0x10, 0x00,
	0x7c, 0x82, 0x9e, 0x96, 0x9c, 0x80, 0x7e, 0x00,
	0x38, 0x44, 0x82, 0x82, 0xfe, 0x82, 0x82, 0x00,
	0xfc, 0x82, 0x82, 0xfc, 0x82, 0x82, 0xfc, 0x00,
	0x3c, 0x42, 0x80, 0x80, 0x80, 0x42, 0x3c, 0x00,
	0xf8, 0x84, 0x82, 0x82, 0x82, 0x84, 0xf8, 0x00,
	0xfe, 0x80, 0x80, 0xf0, 0x80, 0x80, 0xfe, 0x00,
	0xfe, 0x80, 0x80, 0xf0, 0x80, 0x80, 0x80, 0x00,
	0x3c, 0x42, 0x80, 0x80, 0x8e, 0x42, 0x3e, 0x00,
	0x82, 0x82, 0x82, 0xfe, 0x82, 0x82, 0x82, 0x00,
	0x7c, 0x10, 0x10, 0x10, 0x10, 0x10, 0x7c, 0x00,
	0x0e, 0x04, 0x04, 0x04, 0x84, 0x84, 0x78, 0x00,
	0x82, 0x84, 0x88, 0xf0, 0x88, 0x84, 0x82, 0x00,
	0x80, 0x80, 0x80, 0x80, 0x80, 0x80, 0xfe, 0x00,
	0x82, 0xc6, 0xaa, 0x92, 0x82, 0x82, 0x82, 0x00,
	0x82, 0xc2, 0xa2, 0x92, 0x8a, 0x86, 0x82, 0x00,
	0x38, 0x44, 0x82, 0x82, 0x82, 0x44, 0x38, 0x00,
	0xfc, 0x82, 0x82, 0xfc, 0x80, 0x80, 0x80, 0x00,
	0x38, 0x44, 0x82, 0x82, 0x9a, 0x4e, 0x3a, 0x00,
	0xfc, 0x82, 0x82, 0xfc, 0x88, 0x84, 0x82, 0x00,
	0x7c, 0x82, 0x80, 0x7c, 0x02, 0x82, 0x7c, 0x00,
	0xfe, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x00,
	0x82, 0x82, 0x82, 0x82, 0x82, 0x82, 0x7c, 0x00,
	0x82, 0x82, 0x82, 0x44, 0x44, 0x28, 0x10, 0x00,
	0x82, 0x82, 0x82, 0x92, 0xaa, 0xc6, 0x82, 0x00,
	0x82, 0x44, 0x28, 0x10, 0x28, 0x44, 0x82, 0x00,
	0x82, 0x44, 0x28, 0x10, 0x10, 0x10, 0x10, 0x00,
	0xfe, 0x04, 0x08, 0x10, 0x20, 0x40, 0xfe, 0x00,
	0xfe, 0x80, 0x80, 0x80, 0x80, 0x80, 0xfe, 0x00,
	0x80, 0x40, 0x20, 0x10, 0x08, 0x04, 0x02, 0x00,
	0xfe, 0x02, 0x02, 0x02, 0x02, 0x02, 0xfe, 0x00,
	0x10, 0x28, 0x44, 0x82, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
	0x30, 0x30, 0x18, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x7c, 0x02, 0x7e, 0x82, 0x7e, 0x00,
	0x80, 0x80, 0x80, 0xfc, 0x82, 0x82, 0xfc, 0x00,
	0x00, 0x00, 0x7e, 0x80, 0x80, 0x80, 0x7e, 0x00,
	0x02, 0x02, 0x02, 0x7e, 0x82, 0x82, 0x7e, 0x00,
	0x00, 0x00, 0x7c, 0x82, 0xfc, 0x80, 0x7c, 0x00,
	0x1c, 0x22, 0x20, 0xf8, 0x20, 0x20, 0x20, 0x00,
	0x00, 0x00, 0x7c, 0x82, 0x82, 0x7e, 0x02, 0x7c,
	0x80, 0x80, 0x80, 0xbc, 0xc2, 0x82, 0x82, 0x00,
	0x10, 0x00, 0x30, 0x10, 0x10, 0x10, 0x7c, 0x00,
	0x04, 0x00, 0x0c, 0x04, 0x04, 0x84, 0x84, 0x78,
	0x80, 0x80, 0x84, 0x88, 0xf8, 0x84, 0x82, 0x00,
	0x30, 0x10, 0x10, 0x10, 0x10, 0x10, 0x38, 0x00,
	0x00, 0x00, 0xac, 0xd2, 0x92, 0x92, 0x92, 0x00,
	0x00, 0x00, 0xbc, 0xc2, 0x82, 0x82, 0x82, 0x00,
	0x00, 0x00, 0x7c, 0x82, 0x82, 0x82, 0x7c, 0x00,
	0x00, 0x00, 0xbc, 0xc2, 0xc2, 0xbc, 0x80, 0x80,
	0x00, 0x00, 0x7a, 0x86, 0x86, 0x7a, 0x02, 0x02,
	0x00, 0x00, 0xbc, 0xc2, 0x80, 0x80, 0x80, 0x00,
	0x00, 0x00, 0x7c, 0x80, 0x7c, 0x02, 0x7c, 0x00,
	0x10, 0x10, 0x7c, 0x10, 0x10, 0x10, 0x1c, 0x00,
	0x00, 0x00, 0x82, 0x82, 0x82, 0x86, 0x7a, 0x00,
	0x00, 0x00, 0x82, 0x82, 0x44, 0x28, 0x10, 0x00,
	0x00, 0x00, 0x82, 0x82, 0x82, 0x92, 0x6c, 0x00,
	0x00, 0x00, 0x82, 0x44, 0x38, 0x44, 0x82, 0x00,
	0x00, 0x00, 0x82, 0x82, 0x86, 0x7a, 0x02, 0xfc,
	0x00, 0x00, 0xfe, 0x06, 0x38, 0xc0, 0xfe, 0x00,
	0x1e, 0x20, 0x20, 0xc0, 0x20, 0x20, 0x1e, 0x00,
	0x10, 0x10, 0x10, 0x00, 0x10, 0x10, 0x10, 0x00,
	0xf0, 0x08, 0x08, 0x06, 0x08, 0x08, 0xf0, 0x00,
	0x72, 0x9c, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00,
	0x3c, 0x42, 0x80, 0x80, 0x42, 0x3c, 0x04, 0x78,
	0x82, 0x00, 0x82, 0x82, 0x82, 0x86, 0x7a, 0x00,
	0x10, 0x20, 0x7c, 0x82, 0xfc, 0x80, 0x7c, 0x00,
	0x10, 0x28, 0x7c, 0x02, 0x7e, 0x82, 0x7e, 0x00,
	0x44, 0x00, 0x7c, 0x02, 0x7e, 0x82, 0x7e, 0x00,
	0x40, 0x20, 0x7c, 0x02, 0x7e, 0x82, 0x7e, 0x00,
	0x10, 0x28, 0x10, 0x7c, 0x02, 0x7e, 0x82, 0x7e,
	0x00, 0x38, 0x44, 0x80, 0x44, 0x38, 0x08, 0x70,
	0x10, 0x28, 0x44, 0x7c, 0x82, 0xfc, 0x80, 0x7c,
	0x00, 0x84, 0x00, 0x7c, 0x82, 0xfc, 0x80, 0x7c,
	0x20, 0x10, 0x08, 0x7c, 0x82, 0xfc, 0x80, 0x7c,
	0x28, 0x00, 0x30, 0x10, 0x10, 0x10, 0x38, 0x00,
	0x10, 0x28, 0x30, 0x10, 0x10, 0x10, 0x38, 0x00,
	0x20, 0x10, 0x30, 0x10, 0x10, 0x10, 0x38, 0x00,
	0x44, 0x38, 0x44, 0x82, 0x82, 0xfe, 0x82, 0x82,
	0x18, 0x24, 0x18, 0x18, 0x24, 0x42, 0x7e, 0x42,
	0x08, 0x10, 0xfe, 0x80, 0xf0, 0x80, 0x80, 0xfe,
	0x00, 0x00, 0x00, 0xee, 0x11, 0x7e, 0x90, 0x6e,
	0x00, 0x3e, 0x48, 0x88, 0xfe, 0x88, 0x88, 0x8e,
	0x10, 0x28, 0x7c, 0x82, 0x82, 0x82, 0x7c, 0x00,
	0x44, 0x00, 0x7c, 0x82, 0x82, 0x82, 0x7c, 0x00,
	0x20, 0x10, 0x7c, 0x82, 0x82, 0x82, 0x7c, 0x00,
	0x10, 0x28, 0x44, 0x82, 0x82, 0x82, 0x83, 0x7a,
	0x10, 0x08, 0x82, 0x82, 0x82, 0x86, 0x7a, 0x00,
	0x82, 0x00, 0x82, 0x82, 0x86, 0x7a, 0x02, 0xfc,
	0x44, 0x38, 0x44, 0x82, 0x82, 0x82, 0x44, 0x38,
	0x82, 0x00, 0x82, 0x82, 0x82, 0x82, 0x7c, 0x00,
	0x08, 0x7e, 0x80, 0x80, 0x80, 0x7e, 0x08, 0x00,
	0x00, 0x18, 0x24, 0x20, 0x78, 0x20, 0x64, 0x98,
	0x44, 0x28, 0x7c, 0x10, 0x7c, 0x10, 0x10, 0x00,
	0xfc, 0x82, 0x82, 0xfc, 0x84, 0x8e, 0x84, 0x04,
	0x1c, 0x22, 0x20, 0xf8, 0x20, 0x20, 0xa0, 0x40,
	0x10, 0x20, 0x7c, 0x02, 0x7e, 0x82, 0x7e, 0x00,
	0x08, 0x10, 0x30, 0x10, 0x10, 0x10, 0x38, 0x00,
	0x40, 0xb8, 0x44, 0x82, 0x82, 0x82, 0x44, 0x38,
	0x04, 0x08, 0x82, 0x82, 0x82, 0x86, 0x7a, 0x00,
	0x72, 0x9c, 0xbc, 0xc2, 0x82, 0x82, 0x82, 0x00,
	0x72, 0xde, 0x62, 0x52, 0x4a, 0x46, 0x42, 0x00,
	0x30, 0x08, 0x38, 0x48, 0x38, 0x78, 0x00, 0x00,
	0x10, 0x28, 0x10, 0x38, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x08, 0x00, 0x08, 0x30, 0x40, 0x41, 0x3e,
	0x00, 0x00, 0x00, 0xfe, 0x80, 0x80, 0x80, 0x00,
	0x00, 0x00, 0x00, 0x7e, 0x02, 0x02, 0x02, 0x00,
	0x20, 0x20, 0x28, 0x30, 0x2c, 0x42, 0x04, 0x0e,
	0x20, 0x20, 0x28, 0x36, 0x2a, 0x5e, 0x02, 0x02,
	0x10, 0x00, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10,
	0x00, 0x00, 0x14, 0x28, 0x50, 0x28, 0x14, 0x00,
	0x00, 0x00, 0x28, 0x14, 0x0a, 0x14, 0x28, 0x00,
	0x50, 0xa0, 0x50, 0xa0, 0x50, 0xa0, 0x50, 0xa0,
	0x50, 0xa0, 0x50, 0xa0, 0x50, 0xa0, 0x50, 0xa0,
	0xa0, 0x50, 0xa0, 0x50, 0xa0, 0x50, 0xa0, 0x50,
	0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10, 0x10,
	0x10, 0x10, 0x10, 0xf0, 0x10, 0x10, 0x10, 0x10,
	0x10, 0x10, 0xf0, 0x10, 0x10, 0xf0, 0x10, 0x10,
	0x24, 0x24, 0x24, 0xe4, 0x24, 0x24, 0x24, 0x24,
	0x00, 0x00, 0x00, 0xfc, 0x24, 0x24, 0x24, 0x24,
	0x00, 0x00, 0xf0, 0x10, 0x10, 0xf0, 0x10, 0x10,
	0x24, 0x24, 0xe4, 0x04, 0x04, 0xe4, 0x24, 0x24,
	0x24, 0x24, 0x24, 0x24, 0x24, 0x24, 0x24, 0x24,
	0x00, 0x00, 0xfc, 0x04, 0x04, 0xe4, 0x24, 0x24,
	0x24, 0x24, 0xe4, 0x04, 0x04, 0xfc, 0x00, 0x00,
	0x24, 0x24, 0x24, 0xfc, 0x00, 0x00, 0x00, 0x00,
	0x10, 0x10, 0xf0, 0x10, 0x10, 0xf0, 0x00, 0x00,
	0x00, 0x00, 0x00, 0xf0, 0x10, 0x10, 0x10, 0x10,
	0x10, 0x10, 0x10, 0x1f, 0x00, 0x00, 0x00, 0x00,
	0x10, 0x10, 0x10, 0xff, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0xff, 0x10, 0x10, 0x10, 0x10,
	0x10, 0x10, 0x10, 0x1f, 0x10, 0x10, 0x10, 0x10,
	0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00,
	0x10, 0x10, 0x10, 0xff, 0x10, 0x10, 0x10, 0x10,
	0x10, 0x10, 0x1f, 0x10, 0x10, 0x1f, 0x10, 0x10,
	0x24, 0x24, 0x24, 0x27, 0x24, 0x24, 0x24, 0x24,
	0x24, 0x24, 0x27, 0x20, 0x20, 0x3f, 0x00, 0x00,
	0x00, 0x00, 0x3f, 0x20, 0x20, 0x27, 0x24, 0x24,
	0x24, 0x24, 0xe7, 0x00, 0x00, 0xff, 0x00, 0x00,
	0x00, 0x00, 0xff, 0x00, 0x00, 0xe7, 0x24, 0x24,
	0x24, 0x24, 0x27, 0x20, 0x20, 0x27, 0x24, 0x24,
	0x00, 0x00, 0xff, 0x00, 0x00, 0xff, 0x00, 0x00,
	0x24, 0x24, 0xe7, 0x00, 0x00, 0xe7, 0x24, 0x24,
	0x10, 0x10, 0xff, 0x00, 0x00, 0xfe, 0x00, 0x00,
	0x24, 0x24, 0x24, 0xff, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0xff, 0x00, 0x00, 0xff, 0x10, 0x10,
	0x00, 0x00, 0x00, 0xff, 0x24, 0x24, 0x24, 0x24,
	0x24, 0x24, 0x24, 0x3f, 0x00, 0x00, 0x00, 0x00,
	0x10, 0x10, 0x1f, 0x10, 0x10, 0x1f, 0x00, 0x00,
	0x00, 0x00, 0x1f, 0x10, 0x10, 0x1f, 0x10, 0x10,
	0x00, 0x00, 0x00, 0x3f, 0x24, 0x24, 0x24, 0x24,
	0x24, 0x24, 0x24, 0xe7, 0x24, 0x24, 0x24, 0x24,
	0x10, 0x10, 0xff, 0x00, 0x00, 0xff, 0x10, 0x10,
	0x10, 0x10, 0x10, 0xf0, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x1f, 0x10, 0x10, 0x10, 0x10,
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff,
	0x00, 0x00, 0x00, 0x00, 0xff, 0xff, 0xff, 0xff,
	0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0, 0xf0,
	0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f, 0x0f,
	0xff, 0xff, 0xff, 0xff, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x34, 0x48, 0x48, 0x34,
	0x60, 0x90, 0x90, 0xe0, 0x90, 0x90, 0xe0, 0x80,
	0x00, 0xfc, 0x44, 0x40, 0x40, 0x40, 0x40, 0xe0,
	0x00, 0x00, 0x00, 0x00, 0x7c, 0x28, 0x28, 0x28,
	0xf8, 0x88, 0x40, 0x20, 0x20, 0x40, 0x88, 0xf8,
	0x00, 0x00, 0x00, 0x00, 0x3c, 0x50, 0x50, 0x20,
	0x00, 0x00, 0x90, 0x90, 0x90, 0xf0, 0x80, 0x80,
	0x00, 0x00, 0x00, 0x04, 0x38, 0x50, 0x10, 0x10,
	0x38, 0x10, 0x38, 0x54, 0x54, 0x38, 0x10, 0x38,
	0x00, 0x18, 0x24, 0x24, 0x3c, 0x24, 0x24, 0x18,
	0x00, 0x38, 0x44, 0x82, 0x82, 0x44, 0xc6, 0x00,
	0x00, 0x10, 0x20, 0x20, 0x18, 0x24, 0x24, 0x18,
	0x00, 0x00, 0x00, 0x6c, 0x92, 0x92, 0x6c, 0x00,
	0x00, 0x00, 0x02, 0x1c, 0x2c, 0x34, 0x38, 0x40,
	0x00, 0x00, 0x00, 0x1c, 0x20, 0x18, 0x20, 0x1c,
	0x00, 0x3c, 0x42, 0x42, 0x42, 0x42, 0x42, 0x42,
	0x00, 0x00, 0x00, 0xfe, 0x00, 0xfe, 0x00, 0xfe,
	0x00, 0x00, 0x10, 0x38, 0x10, 0x00, 0x38, 0x00,
	0x20, 0x10, 0x08, 0x10, 0x20, 0x00, 0x78, 0x00,
	0x08, 0x10, 0x20, 0x10, 0x08, 0x00, 0x3c, 0x00,
	0x20, 0x50, 0x50, 0x40, 0x40, 0x40, 0x40, 0x40,
	0x20, 0x20, 0x20, 0x20, 0x20, 0xa0, 0xa0, 0x40,
	0x00, 0x00, 0x20, 0x00, 0x70, 0x00, 0x20, 0x00,
	0x00, 0x00, 0x2c, 0x50, 0x00, 0x2c, 0x50, 0x00,
	0x10, 0x28, 0x10, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x10, 0x10, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x10, 0x00, 0x00, 0x00, 0x00,
	0x30, 0x20, 0x20, 0x20, 0x20, 0xa0, 0x60, 0x20,
	0x00, 0x38, 0x24, 0x24, 0x00, 0x00, 0x00, 0x00,
	0x10, 0x28, 0x08, 0x10, 0x3c, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x18, 0x18, 0x00, 0x00, 0x00,
	0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0xff, 0x00
};

unsigned short *VectorFont[256] = {
	VectorCharASCII0x00,
	VectorCharASCII0x01,
	VectorCharASCII0x02,
	VectorCharASCII0x03,
	VectorCharASCII0x04,
	VectorCharASCII0x05,
	VectorCharASCII0x06,
	VectorCharASCII0x07,
	VectorCharASCII0x08,
	VectorCharASCII0x09,
	VectorCharASCII0x0a,
	VectorCharASCII0x0b,
	VectorCharASCII0x0c,
	VectorCharASCII0x0d,
	VectorCharASCII0x0e,
	VectorCharASCII0x0f,
	VectorCharASCII0x10,
	VectorCharASCII0x11,
	VectorCharASCII0x12,
	VectorCharASCII0x13,
	VectorCharASCII0x14,
	VectorCharASCII0x15,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x21,
	VectorCharASCII0x22,
	VectorCharASCII0x23,
	VectorCharASCII0x24,
	VectorCharASCII0x25,
	VectorCharASCII0x26,
	VectorCharASCII0x27,
	VectorCharASCII0x28,
	VectorCharASCII0x29,
	VectorCharASCII0x2a,
	VectorCharASCII0x2b,
	VectorCharASCII0x2c,
	VectorCharASCII0x2d,
	VectorCharASCII0x2e,
	VectorCharASCII0x2f,
	VectorCharASCII0x30,
	VectorCharASCII0x31,
	VectorCharASCII0x32,
	VectorCharASCII0x33,
	VectorCharASCII0x34,
	VectorCharASCII0x35,
	VectorCharASCII0x36,
	VectorCharASCII0x37,
	VectorCharASCII0x38,
	VectorCharASCII0x39,
	VectorCharASCII0x3a,
	VectorCharASCII0x3b,
	VectorCharASCII0x3c,
	VectorCharASCII0x3d,
	VectorCharASCII0x3e,
	VectorCharASCII0x3f,
	VectorCharASCII0x40,
	VectorCharASCII0x41,
	VectorCharASCII0x42,
	VectorCharASCII0x43,
	VectorCharASCII0x44,
	VectorCharASCII0x45,
	VectorCharASCII0x46,
	VectorCharASCII0x47,
	VectorCharASCII0x48,
	VectorCharASCII0x49,
	VectorCharASCII0x4a,
	VectorCharASCII0x4b,
	VectorCharASCII0x4c,
	VectorCharASCII0x4d,
	VectorCharASCII0x4e,
	VectorCharASCII0x4f,
	VectorCharASCII0x50,
	VectorCharASCII0x51,
	VectorCharASCII0x52,
	VectorCharASCII0x53,
	VectorCharASCII0x54,
	VectorCharASCII0x55,
	VectorCharASCII0x56,
	VectorCharASCII0x57,
	VectorCharASCII0x58,
	VectorCharASCII0x59,
	VectorCharASCII0x5a,
	VectorCharASCII0x5b,
	VectorCharASCII0x5c,
	VectorCharASCII0x5d,
	VectorCharASCII0x5e,
	VectorCharASCII0x5f,
	VectorCharASCII0x60,
	VectorCharASCII0x61,
	VectorCharASCII0x62,
	VectorCharASCII0x63,
	VectorCharASCII0x64,
	VectorCharASCII0x65,
	VectorCharASCII0x66,
	VectorCharASCII0x67,
	VectorCharASCII0x68,
	VectorCharASCII0x69,
	VectorCharASCII0x6a,
	VectorCharASCII0x6b,
	VectorCharASCII0x6c,
	VectorCharASCII0x6d,
	VectorCharASCII0x6e,
	VectorCharASCII0x6f,
	VectorCharASCII0x70,
	VectorCharASCII0x71,
	VectorCharASCII0x72,
	VectorCharASCII0x73,
	VectorCharASCII0x74,
	VectorCharASCII0x75,
	VectorCharASCII0x76,
	VectorCharASCII0x77,
	VectorCharASCII0x78,
	VectorCharASCII0x79,
	VectorCharASCII0x7a,
	VectorCharASCII0x7b,
	VectorCharASCII0x7c,
	VectorCharASCII0x7d,
	VectorCharASCII0x7e,
	VectorCharASCII0x7f,
	VectorCharSpecial0x80,
	VectorCharSpecial0x81,
	VectorCharSpecial0x82,
	VectorCharSpecial0x83,
	VectorCharSpecial0x84,
	VectorCharSpecial0x85,
	VectorCharSpecial0x86,
	VectorCharSpecial0x87,
	VectorCharSpecial0x88,
	VectorCharSpecial0x89,
	VectorCharSpecial0x8a,
	VectorCharSpecial0x8b,
	VectorCharSpecial0x8c,
	VectorCharSpecial0x8d,
	VectorCharSpecial0x8e,
	VectorCharSpecial0x8f,
	VectorCharSpecial0x90,
	VectorCharSpecial0x91,
	VectorCharSpecial0x92,
	VectorCharSpecial0x93,
	VectorCharSpecial0x94,
	VectorCharSpecial0x95,
	VectorCharSpecial0x96,
	VectorCharSpecial0x97,
	VectorCharSpecial0x98,
	VectorCharSpecial0x99,
	VectorCharSpecial0x9a,
	VectorCharSpecial0x9b,
	VectorCharSpecial0x9c,
	VectorCharSpecial0x9d,
	VectorCharSpecial0x9e,
	VectorCharSpecial0x9f,
	VectorCharSpecial0xa0,
	VectorCharSpecial0xa1,
	VectorCharSpecial0xa2,
	VectorCharSpecial0xa3,
	VectorCharSpecial0xa4,
	VectorCharSpecial0xa5,
	VectorCharSpecial0xa6,
	VectorCharSpecial0xa7,
	VectorCharSpecial0xa8,
	VectorCharSpecial0xa9,
	VectorCharSpecial0xaa,
	VectorCharSpecial0xab,
	VectorCharSpecial0xac,
	VectorCharSpecial0xad,
	VectorCharSpecial0xae,
	VectorCharSpecial0xaf,
	VectorCharSpecial0xb0,
	VectorCharSpecial0xb1,
	VectorCharSpecial0xb2,
	VectorCharSpecial0xb3,
	VectorCharSpecial0xb4,
	VectorCharSpecial0xb5,
	VectorCharSpecial0xb6,
	VectorCharSpecial0xb7,
	VectorCharSpecial0xb8,
	VectorCharSpecial0xb9,
	VectorCharSpecial0xba,
	VectorCharSpecial0xbb,
	VectorCharSpecial0xbc,
	VectorCharSpecial0xbd,
	VectorCharSpecial0xbe,
	VectorCharSpecial0xbf,
	VectorCharSpecial0xc0,
	VectorCharSpecial0xc1,
	VectorCharSpecial0xc2,
	VectorCharSpecial0xc3,
	VectorCharSpecial0xc4,
	VectorCharSpecial0xc5,
	VectorCharSpecial0xc6,
	VectorCharSpecial0xc7,
	VectorCharSpecial0xc8,
	VectorCharSpecial0xc9,
	VectorCharSpecial0xca,
	VectorCharSpecial0xcb,
	VectorCharSpecial0xcc,
	VectorCharSpecial0xcd,
	VectorCharSpecial0xce,
	VectorCharSpecial0xcf,
	VectorCharSpecial0xd0,
	VectorCharSpecial0xd1,
	VectorCharSpecial0xd2,
	VectorCharSpecial0xd3,
	VectorCharSpecial0xd4,
	VectorCharSpecial0xd5,
	VectorCharSpecial0xd6,
	VectorCharSpecial0xd7,
	VectorCharSpecial0xd8,
	VectorCharSpecial0xd9,
	VectorCharSpecial0xda,
	VectorCharSpecial0xdb,
	VectorCharSpecial0xdc,
	VectorCharSpecial0xdd,
	VectorCharSpecial0xde,
	VectorCharSpecial0xdf,
	VectorCharSpecial0xe0,
	VectorCharSpecial0xe1,
	VectorCharSpecial0xe2,
	VectorCharSpecial0xe3,
	VectorCharSpecial0xe4,
	VectorCharSpecial0xe5,
	VectorCharSpecial0xe6,
	VectorCharSpecial0xe7,
	VectorCharSpecial0xe8,
	VectorCharSpecial0xe9,
	VectorCharSpecial0xea,
	VectorCharSpecial0xeb,
	VectorCharSpecial0xec,
	VectorCharSpecial0xed,
	VectorCharSpecial0xee,
	VectorCharSpecial0xef,
	VectorCharSpecial0xf0,
	VectorCharSpecial0xf1,
	VectorCharSpecial0xf2,
	VectorCharSpecial0xf3,
	VectorCharSpecial0xf4,
	VectorCharSpecial0xf5,
	VectorCharSpecial0xf6,
	VectorCharSpecial0xf7,
	VectorCharSpecial0xf8,
	VectorCharSpecial0xf9,
	VectorCharSpecial0xfa,
	VectorCharSpecial0xfb,
	VectorCharSpecial0xfc,
	VectorCharSpecial0xfd,
	VectorCharSpecial0xfe,
	VectorCharASCII0x16
};

unsigned short *VectorFontIEEE[32] = {
	VectorCharIEEE,
	VectorCharIEEE0x01,
	VectorCharIEEE0x02,
	VectorCharIEEE0x03,
	VectorCharIEEE0x04,
	VectorCharIEEE0x05,
	VectorCharIEEE0x06,
	VectorCharIEEE0x07,
	VectorCharIEEE0x08,
	VectorCharIEEE0x09,
	VectorCharIEEE0x0a,
	VectorCharIEEE0x0b,
	VectorCharIEEE0x0c,
	VectorCharIEEE0x0d,
	VectorCharIEEE0x0e,
	VectorCharIEEE0x0f,
	VectorCharIEEE0x10,
	VectorCharIEEE0x11,
	VectorCharIEEE0x12,
	VectorCharIEEE0x13,
	VectorCharIEEE0x14,
	VectorCharIEEE0x15,
	VectorCharIEEE0x16,
	VectorCharIEEE0x17,
	VectorCharIEEE0x18,
	VectorCharIEEE0x19,
	VectorCharIEEE0x1a,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16,
	VectorCharASCII0x16
};

/* -- END --------------------------------------------------------------- */